aboutsummaryrefslogtreecommitdiffstats
path: root/testing/multipath-tools/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-10-27 14:54:44 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-10-27 14:55:09 +0000
commit6e839b4ac894c261d71d19b776d5506132e03e87 (patch)
treef1da34119540e7e235bf87d9f3f7a57dfb947f62 /testing/multipath-tools/APKBUILD
parentcab42d50ae85d4c08e187b40e5e55deaae1bf26f (diff)
downloadaports-6e839b4ac894c261d71d19b776d5506132e03e87.tar.gz
aports-6e839b4ac894c261d71d19b776d5506132e03e87.tar.bz2
aports-6e839b4ac894c261d71d19b776d5506132e03e87.tar.xz
testing/multipath-tools: APKBUILD fixed and various patches added
Diffstat (limited to 'testing/multipath-tools/APKBUILD')
-rw-r--r--testing/multipath-tools/APKBUILD36
1 files changed, 27 insertions, 9 deletions
diff --git a/testing/multipath-tools/APKBUILD b/testing/multipath-tools/APKBUILD
index bb6227f937..7a059784c2 100644
--- a/testing/multipath-tools/APKBUILD
+++ b/testing/multipath-tools/APKBUILD
@@ -2,30 +2,48 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname="multipath-tools"
pkgver=0.4.8
-pkgrel=3
+pkgrel=4
pkgdesc="Device Mapper Multipathing Driver"
url="http://christophe.varoqui.free.fr/"
license="GPL"
depends=
-makedepends="lvm2-dev libaio-dev readline-dev ncurses-dev"
+makedepends="lvm2-dev libaio-dev readline-dev ncurses-dev udev-dev"
install=
subpackages="$pkgname-doc"
source="http://christophe.varoqui.free.fr/$pkgname/$pkgname-$pkgver.tar.bz2
- Makefile.patch"
+ multipath-tools-0.4.8-udev-scsi_id-changes.patch
+ multipath-tools-0.4.8-socket-cve-2009-0115.patch
+ multipath-tools-0.4.8-r1-kpartx.patch
+ multipath-tools-0.4.8-kparted-ext-partitions.patch"
-build() {
- cd "$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir/$pkgname-$pkgver"
- patch Makefile < ../Makefile.patch || return 1
+prepare() {
+ cd $_builddir
find . -name Makefile -exec sed -i -e 's/glibc/uclibc/g' {} \;
+ for i in ../*.patch
+ do
+ msg "Applying $i"
+ patch -p1 < $i || return 1
+ done
+}
- make -j1 \
- prefix="/usr" \
+build() {
+ cd $_builddir
+ make -j1 prefix="/usr" \
sysconfdir="/etc" \
mandir="/usr/share/man" \
infodir="/usr/share/info" || return 1
+}
+
+package() {
+ cd $_builddir
make DESTDIR="$pkgdir" install
+ install -D -m644 ../../multipath.conf $pkgdir/etc/multipath.conf
}
md5sums="3563b863b408d07c46929b6e8c2c248c multipath-tools-0.4.8.tar.bz2
-92318268d20a9622cdb9909d153c4ccd Makefile.patch"
+b39a63e65de16cf086618de6916bd98f multipath-tools-0.4.8-udev-scsi_id-changes.patch
+2070c01a98d01833b9eee771fce3a22c multipath-tools-0.4.8-socket-cve-2009-0115.patch
+0febb1f512681b8de8c2f0287e260efd multipath-tools-0.4.8-r1-kpartx.patch
+68ea053e02e9f5c4883b24b3f9bb2bf1 multipath-tools-0.4.8-kparted-ext-partitions.patch"